'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _isJsonPath = require('./isJsonPath');

var _isJsonPath2 = _interopRequireDefault(_isJsonPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isValueForOperation = (0, _ramda.anyPass)([function (op, value) {
  return (0, _ramda.contains)(op, ['add', 'replace', 'test']) && !(0, _ramda.isNil)(value);
}, function (op, value) {
  return op === 'remove';
}, function (op, value) {
  return (0, _ramda.contains)(op, ['move', 'copy']) && (0, _isJsonPath2.default)(value);
}]);

exports.default = isValueForOperation;
//# sourceMappingURL=isValueForOperation.js.map
